Bug 52046 - Upgrade removes /mnt files
Upgrade removes /mnt files
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-19 13:35 EDT by Stephen John Smoogen
Modified: 2014-03-16 22:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-20 15:18:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2001-08-19 13:35:55 EDT
Description of Problem:

After upgrade machine was unable to mount cdrom. 

1) Upgrade removed /mnt/cdrom /mnt/floppyfile
     /mnt/cdrom1
     /mnt/dos remained
2) autofs installed and enabled
     was installed previously and NOT enabled
3) turning off autofs did not clean up things. 

I do not know if this is anaconda, filesystem, autofs or someother file but
it is definately not kosher.

How Reproducible:

Several people on testers list have seen this one.
Comment 1 Bill Nottingham 2001-08-19 22:45:32 EDT
Hrm, interesting. Didn't forsee that consequence of relying on updfstab.

I'm assuming /mnt/cdrom and /mnt/floppy are in /etc/fstab *without* kudzu entries?
Comment 2 Stephen John Smoogen 2001-08-20 10:14:16 EDT
Here is the floppy and cdrom entries. The floppy does NOT have kudzu. Both
cdrom's do.

LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
LABEL=/home             /home                   ext3    defaults        1 2
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
LABEL=/scratchmonkey    /scratchmonkey          ext3    defaults        1 2
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/hdb7               swap                    swap    defaults        0 0
/dev/hda1               /mnt/dos                vfat    defaults,noauto 0 0
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,kudzu,ro 0 
0
/dev/cdrom1             /mnt/cdrom1             iso9660 noauto,owner,kudzu,ro 0 
0
Comment 3 Glen Foster 2001-08-20 15:18:41 EDT
This defect is considered MUST-FIX for Fairfax.
Comment 4 Bill Nottingham 2001-08-20 16:24:13 EDT
Will be fixed in filesystem-2.1.6-2; note that this will not recreate any that
were deleted, but it will prevent their deletion on upgrade in the future.

Note You need to log in before you can comment on or make changes to this bug.